/*
 * flash-tools - a set of tools for flashing handsets
 * Copyright (C) 2005 Jeremy Lain <jeremy.laine@m4x.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef P2K_SRECORD_H
#define P2K_SRECORD_H

#include <stdio.h>
 
struct shx_srecord
{
  unsigned char type;
  unsigned char addrlen;
  unsigned char count;
  unsigned char checksum;
  size_t address;
  size_t datalen;
  char data[1024];  
};


void srecord_print_info(const struct shx_srecord *s);
int srecord_find(FILE *fp, const unsigned char S_find);
struct shx_srecord srecord_read(FILE *fp, const unsigned char srectype);

#endif
